# Realtime transfer object

The Realtime transfer object represents the current state of a single Realtime transfer initiated by or received by Column. Realtime transfers are used to send and receive money over FedNow or RTP. The Realtime transfer object exposes all relevant information about the Realtime transfer to developers. Read more about [Realtime transfers here](/realtime).

### Object Parameters

- `accepted_at` `date-time` — The timestamp when the realtime transfer was accepted without posting
- `account_number_id` `string` — ID of the account number that is sending/receiving the transfer
- `allow_overdraft` `boolean` — Allows the account to go negative for an outgoing transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it
- `amount` `number` — Amount (in cents) of the funds that will be transferred between originator and counterparty accounts. e.g. $1.75 would be represented by 175
- `bank_account_id` `string` — ID of the bank account that is sending/receiving the transfer
- `blocked_at` `date-time` — The timestamp when the realtime transfer was blocked after accepting without posting
- `completed_at` `date-time` — The timestamp when the realtime transfer was completed
- `counterparty_id` `string` — ID of the counterparty that is receiving/sending the transfer
- `created_at` `date-time` — The timestamp when the realtime transfer was created
- `currency_code` `string` — The three-letter currency code defined in ISO 4217. e.g. `USD`
- `description` `string` — A description of the transfer visible in account statements
- `end_to_end_id` `string` — A unique identifier for the transfer that is passed through to the receiving bank. This is used for reconciliation purposes between originator and receiver. This ID may not be populated on an incoming Realtime transfer.
- `id` `string` — The unique ID of the object
- `idempotency_key` `string` — The idempotency key specified in the realtime transfer
- `initiated_at` `date-time` — The timestamp when the realtime transfer was initiated
- `is_incoming` `boolean` — Indicates whether the realtime transfer was incoming ( `true` or outgoing `false` ).
- `is_on_us` `boolean` — Indicates whether the realtime transfer was between two bank accounts held at Column
- `manual_review_approved_at` `date-time` — The timestamp when the realtime transfer was approved after manual review
- `manual_review_at` `date-time` — The timestamp when the realtime transfer went into the manual review state
- `manual_review_rejected_at` `date-time` — The timestamp when the realtime transfer was rejected after manual review
- `pending_at` `date-time` — The timestamp when the realtime transfer was accepted without posting and is pending
- `realtime_rfp_id` `string` — The linked realtime request for payment ID
- `rejected_at` `date-time` — The timestamp when the realtime transfer was rejected after acceptance without posting
- `rejection_additional_info` `string` — Contains further information on the payment status reason in free-formatted text, if available
- `rejection_code` `string` — Code representing a reason for rejecting realtime payment
- `rejection_code_description` `string` — Description for the `rejection_reason_code`
- `return_pair_transfer_id` `string` — Provides a reference to a pair return transfer created when return was accepted. It is either the original transfer or the return transfer ID.
- `status` `string` — The current status of the realtime transfer. Possible statuses are `initiated`, `pending`, `accepted`, `completed`, `blocked`, `rejected`, `manual_review`, `manual_review_approved`, `manual_review_rejected`
- `ultimate_debtor_counterparty_id` `string` — ID of the ultimate debtor counterparty that was set on the transfer
- `updated_at` `date-time` — The timestamp when the realtime transfer was updated

**Response 200**

```json
{
  "accepted_at": "2024-01-15T09:30:00Z",
  "account_number_id": "acno_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "allow_overdraft": false,
  "amount": 10000,
  "bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "blocked_at": "2024-01-15T09:30:00Z",
  "completed_at": "2024-01-15T09:30:00Z",
  "counterparty_id": "cpty_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "created_at": "2024-01-15T09:30:00Z",
  "currency_code": "USD",
  "description": "Example description",
  "end_to_end_id": "ento_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "id": "rttr_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "idempotency_key": "2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "initiated_at": "2024-01-15T09:30:00Z",
  "is_incoming": false,
  "is_on_us": false,
  "manual_review_approved_at": "2024-01-15T09:30:00Z",
  "manual_review_at": "2024-01-15T09:30:00Z",
  "manual_review_rejected_at": "2024-01-15T09:30:00Z",
  "pending_at": "2024-01-15T09:30:00Z",
  "realtime_rfp_id": "rrfp_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "rejected_at": "2024-01-15T09:30:00Z",
  "rejection_additional_info": null,
  "rejection_code": null,
  "rejection_code_description": null,
  "return_pair_transfer_id": "rttr_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "status": "pending",
  "ultimate_debtor_counterparty_id": "cpty_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "updated_at": "2024-01-15T09:30:00Z"
}
```
